#ifndef GRAPH_h
#define GRAPH_h
class QString;
class QPaintEvent;
class QPainter;
class QWidget;
class OmSourceParameter;
class QString;
class Graph
{
  
    
      
      public:
    Graph(QWidget *parent, OmSourceParameter *source = 0, 
         QString xLabel = " ", QString yLabel = " ", QString title = " ");
         
   
    void drawGraph(); 

    virtual ~Graph(); 

    virtual void loadData(int n) = 0; 
   

 public:
  
    void getMinMax();
    void drawGraph(QPainter *painter);
    QWidget *_parent;
    OmSourceParameter *_source;

    double *_x, *_y, *_y1;

    double _minX, _maxX;
    double _minY, _maxY;
    int _size;        
    int _ninX, _ninY;
    QString _xLabel;
    QString _yLabel;
    QString _title;
  
};
/***************************************************************
*
**************************************************************/
class OmSourceGraph : public Graph
{

public:

  OmSourceGraph(QWidget *parent, OmSourceParameter *source = 0,
		QString xLabel = " ", QString yLabel = " ", QString title = " ") :
  
         Graph(parent, source, xLabel, yLabel, title) {};
  
     
    
   ~OmSourceGraph() {};
   virtual void loadData(int n); 
    
};
#endif











